GET api/v2/Address/GetAddress
Request Information
URI Parameters
None.
Body Parameters
AddressModels| Name | Description | Type | Additional information |
|---|---|---|---|
| intAddressID | integer |
None. |
|
| strAddrNo | string |
None. |
|
| intBuildingNo | integer |
None. |
|
| strShortName | string |
None. |
|
| strName | string |
None. |
|
| strFirstName | string |
None. |
|
| strAddress1 | string |
None. |
|
| strAddress2 | string |
None. |
|
| strAddress3 | string |
None. |
|
| strBuildungCode | string |
None. |
|
| strZIP | string |
None. |
|
| strCity | string |
None. |
|
| strPhone | string |
None. |
|
| strMobile | string |
None. |
|
| strEmail | string |
None. |
|
| strWeb | string |
None. |
|
| intCountryID | integer |
None. |
|
| strDisplayName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"intAddressID": 1,
"strAddrNo": "sample string 2",
"intBuildingNo": 3,
"strShortName": "sample string 4",
"strName": "sample string 5",
"strFirstName": "sample string 6",
"strAddress1": "sample string 7",
"strAddress2": "sample string 8",
"strAddress3": "sample string 9",
"strBuildungCode": "sample string 10",
"strZIP": "sample string 11",
"strCity": "sample string 12",
"strPhone": "sample string 13",
"strMobile": "sample string 14",
"strEmail": "sample string 15",
"strWeb": "sample string 16",
"intCountryID": 17,
"strDisplayName": "sample string 18"
}
application/xml, text/xml
Sample:
<AddressModels xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XS2.WMSWebApiV2.Models"> <intAddressID>1</intAddressID> <intBuildingNo>3</intBuildingNo> <intCountryID>17</intCountryID> <strAddrNo>sample string 2</strAddrNo> <strAddress1>sample string 7</strAddress1> <strAddress2>sample string 8</strAddress2> <strAddress3>sample string 9</strAddress3> <strBuildungCode>sample string 10</strBuildungCode> <strCity>sample string 12</strCity> <strDisplayName>sample string 18</strDisplayName> <strEmail>sample string 15</strEmail> <strFirstName>sample string 6</strFirstName> <strMobile>sample string 14</strMobile> <strName>sample string 5</strName> <strPhone>sample string 13</strPhone> <strShortName>sample string 4</strShortName> <strWeb>sample string 16</strWeb> <strZIP>sample string 11</strZIP> </AddressModels>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |